import sys
import os


# Añadir el directorio del SDK al PYTHONPATH usando una ruta relativa
script_dir = os.path.dirname(os.path.abspath(__file__))  # Directorio actual del script
sdk_path = os.path.join(script_dir, '..','..', 'sdk')  # Subir dos niveles y apuntar a 'sdk'
sys.path.insert(0, sdk_path)

capif_sdk_config_path = "/Users/dgs/Downloads/capif_sdk/invoker/config.json"
capif_sdk_config_path = "/Users/IDB0128/git_repos/pesp_capif_sdk/netapp-samples/netapp-invoker-sample/capif-sdk-config-sample.json"
from sdk import CAPIFInvokerConnector,ServiceDiscoverer

if __name__ == "__main__":

    capif_connector = CAPIFInvokerConnector(config_file=capif_sdk_config_path)

    capif_connector.onboard_invoker()
    print("INVOKER ONBOARDING COMPLETED")

    
    # Aquí ya tengo certificados, ahora puedo hacer discover (get token para un api o varios, según elijas)

    # Como developer yo ya sé a qué APIs quiero acceder
    # DISCOVER filter configureCmcAmfSet
    # Without DISCOVER filter it is obtained the whole list of available APIs in CAPIF

    discoverer=ServiceDiscoverer(config_file=capif_sdk_config_path)

    discoverer.discover()

    discoverer.get_tokens()


    

